diff --git a/lib/vtls/gtls.c b/lib/vtls/gtls.c
index 2c7eb17291348..1fef54b48c132 100644
--- a/lib/vtls/gtls.c
+++ b/lib/vtls/gtls.c
@@ -684,11 +684,11 @@ gtls_connect_step1(struct connectdata *conn,
               "error reading X.509 potentially-encrypted key file: %s",
               gnutls_strerror(rc));
         return CURLE_SSL_CONNECT_ERROR;
+      }
 #else
-        failf(data, "gnutls lacks support for encrypted key files");
-        return CURLE_SSL_CONNECT_ERROR;
+      failf(data, "gnutls lacks support for encrypted key files");
+      return CURLE_SSL_CONNECT_ERROR;
 #endif
-      }
     }
     else {
       rc = gnutls_certificate_set_x509_key_file(
